Project properties
Use the following endpoints to manage project properties programmatically.
Rate limits
Project property resources have the following rate limits:
| Type | Resource | Limit |
|---|---|---|
| All | All Project properties endpoints | 60 requests per minute |
Quick reference
| Type | Resource | Description |
|---|---|---|
| GET | /api/properties | List project-level properties that match a prefix and project ID. |
| POST | /api/properties | Upsert project-level properties. |
List project properties
Returns a list of project-level properties belonging to a specific project in a customer workspace that matches a project_id you specify. You must also include a prefix. For example, if you provide the prefix salesforce_sync., any project property with a name beginning with salesforce_sync., such as salesforce_sync.admin_email, with the project_id you provided is returned.
GET https://YOUR_DATA_CENTER/api/propertiesQuery parameters
| Name | Type | Description |
|---|---|---|
| prefix | string required | Returns properties that contain the prefix you provided. For example, if the prefix is salesforce_sync. the property salesforce_sync.admin_email is returned. |
| project_id | string required | Returns project-level properties that match the project_id you specify. If this parameter is not present, this call returns environment properties. |
Sample request
curl -X GET 'https://YOUR_DATA_CENTER/api/properties?prefix=:prefix_value&project_id=:project_id_value' \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json'Response
{
"public_url": "https://www.example.com",
"admin_email": "[email protected]"
}Upsert project properties
Upserts project properties belonging to a specific project in a customer workspace that matches a project_id you specify. This endpoint maps to properties based on the names you provide in the request.
POST https://YOUR_DATA_CENTER/api/propertiesPROPERTY LIMITS
Project properties have the following limits:
| Description | Limit |
|---|---|
| Maximum number of project properties per project | 1,000 |
| Maximum length of project property name | 100 characters |
| Maximum length of project property value | 1,024 characters |
Query parameters
| Name | Type | Description |
|---|---|---|
| project_id | string required | Provide the project ID that contains the project properties you plan to upsert. If this parameter is not present, this call upserts environment properties. |
Payload
| Name | Type | Description |
|---|---|---|
| properties | Hash required | Contains the names and values of the properties you plan to upsert. |
Sample request
curl -X POST 'https://YOUR_DATA_CENTER/api/properties?project_id=:project_id_value' \
-H 'Authorization: Bearer <api_token>' \
-H 'Content-Type: application/json' \
-d '{ "properties": { ":property_key_1": ":property_value_1", ":property_key_2": ":property_value_2" }}'Response
{
"success": true
}Last updated: